Patch Required for Burning Crusade

Written by Medievaldragon on . Posted in Uncategorized

Nethaera alerts fans that the Burning Crusade CD installation may need a re-patch.

As the Burning Crusade expansion was finished prior to the most current patch versions it will be necessary to re-patch to 2.0.3 once the expansion is installed. As some players remove their patches after they have been applied we would like to provide a helpful warning not to delete the ?2.0.0-to-2.0.3? patch file as it will be required after the Burning Crusade is installed.

Be Sociable, Share!